API Reference
Create a User
/v1/usersCreate a user.
- USER_CREATE_START
- USER_CREATE_SUCCESS
- USER_CREATE_FAIL
Roles
Authorization
bearerAuth In: header
Request Body
application/json
Create a User
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/users" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "claims": {}, "authenticationProvider": { "providerId": "string", "url": "string", "subjectId": "string" }}Retrieve all Users
/v1/usersReturns a list of all users on your tenant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/users"{ "nextCursor": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "claims": {}, "authenticationProvider": { "providerId": "string", "url": "string", "subjectId": "string" } } ]}Retrieve a User
/v1/users/{id}Retrieve an existing user by providing its ID.
- USER_RETRIEVE_START
- USER_RETRIEVE_SUCCESS
- USER_RETRIEVE_FAIL
Roles
Authorization
bearerAuth In: header
Path Parameters
User ID
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "claims": {}, "authenticationProvider": { "providerId": "string", "url": "string", "subjectId": "string" }}Update a User
/v1/users/{id}Updates an existing user by providing its ID.
- USER_UPDATE_START
- USER_UPDATE_SUCCESS
- USER_UPDATE_FAIL
Roles
Authorization
bearerAuth In: header
Path Parameters
User ID
uuidRequest Body
application/json
Update a User
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "claims": {}, "authenticationProvider": { "providerId": "string", "url": "string", "subjectId": "string" }}Delete a User
/v1/users/{id}Deletes a user and removes all data related to them by providing the user ID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
User ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"Search Users
/v1/users/searchReturns a list of users from the tenant that match all the provided search criteria (all criteria are optional).
Roles
Analytics Events
Authorization
bearerAuth In: header
Request Body
application/json
The search criteria
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/users/search" \ -H "Content-Type: application/json" \ -d '{}'{ "nextCursor": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "claims": {}, "authenticationProvider": { "providerId": "string", "url": "string", "subjectId": "string" } } ]}Retrieve User credentials Data
/v1/users/{userId}/credentialsReturns metadata for all the credentials issued to the provided userId.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
User ID
uuidQuery Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials"{ "data": [ { "id": "string", "type": "string", "profile": "mobile", "offerId": "string", "sessionId": "string", "credentialConfigurationId": "string", "devicePublicKey": { "kty": "string", "crv": "string", "x": "string" }, "namespaces": {}, "msoHash": "string", "issuedDate": "2019-08-24T14:15:22Z", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "status": "valid" } ], "nextCursor": "string"}How would you rate this page?
Last updated on